> ## Documentation Index
> Fetch the complete documentation index at: https://docs.superoffice.com/llms.txt
> Use this file to discover all available pages before exploring further.

# saintintention

> This SoList provider generates the Intent list for the Saint criteria. This list is an extension of the basic Intent MDO list, with the addition of an ALL choice with ID 0.

## "saintintention" MDO List

This SoList provider generates the Intent list for the Saint criteria. This list is an extension of the basic
Intent MDO list, with the addition of an ALL choice with ID 0.

Implemented by the <see cref="T:SuperOffice.CRM.ArchiveLists.SaintIntentionProvider">SaintIntentionProvider</see> class.
The name of the MDO list is 'saintintention'.

## Sample Request

```http! theme={null}
GET /api/v1/MDOList/saintintention
Authorization: Basic dGplMDpUamUw
Accept: application/json; charset=utf-8
Accept-Language: *

```

## Sample Code

```cs theme={null}
var listProvider = ClassFactory.CreateRequired<SuperOffice.CRM.Lists.ISoListProviderFactory>().Create("saintintention", forceFlatList: true);
foreach (var item in listProvider.RootItems) {
    Console.WriteLine("{0} {1} {2} {3}", 
         item.Id, ResourceManager.ParseInlineResources(item.Name), item.StyleHint, item.ExtraInfo);
}
```

## Sample Output

| Id | Name      | StyleHint | ExtraInfo |
| -- | --------- | --------- | --------- |
| -1 | All       |           |           |
| 2  | Bad       |           |           |
| 3  | Evil      |           |           |
| 1  | Good      |           |           |
| 5  | Goodwill  |           |           |
| 6  | Marketing |           |           |
| 4  | Sale      |           |           |

## Related MDO Lists

* "saintintentionheadings"
* "saintintentionheadingswithallitem"
* "saintintentionheadingswithallitemwithnoselection"
* "saintintentionheadingswithnoselection"
* "saintintentionwithallitem"
* "saintintentionwithallitemwithnoselection"
* "saintintentionwithnoselection"


## Related topics

- [SimpleProject](/en/api/archive-providers/reference/simpleproject.md)
- [ContactProjects](/en/api/archive-providers/reference/contactprojects.md)
- [FreetextProject](/en/api/archive-providers/reference/freetextproject.md)
- [PersonProjects](/en/api/archive-providers/reference/personprojects.md)
- [ProjectMember](/en/api/archive-providers/reference/projectmember.md)
- [LinksProject](/en/api/archive-providers/reference/linksproject.md)
